#!/usr/bin/env python
# -*- coding: utf-8 -*-
# pylint: disable=invalid-name, too-many-arguments, broad-except
# pylint: disable=missing-docstring, line-too-long
# pylint: anomalous-backslash-in-string

import os
import sys
sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from jfutils.imagePatch import ValidateCode, encode_base64_from_image, decode_image_from_base64

if __name__ == '__main__':
    # create validate code
    [vcode_img, vcode] = ValidateCode().create(size=(300, 300))
    print 'vcode_img : ', vcode_img

    # encode image
    b64_str = encode_base64_from_image(vcode_img)
    print 'b64_str : ', b64_str

    # decode base64 string
    img = decode_image_from_base64(b64_str)
    print 'image : ', img

    # save image
    img.save("validate.jpg", "JPEG")

    # rm image
    import os
    os.remove('validate.jpg')
