#!/usr/bin/env python
# -*- coding: utf-8 -*-
# pylint: disable=invalid-name, too-many-arguments, broad-except, anomalous-backslash-in-string
# pylint: disable=missing-docstring, line-too-long, too-few-public-methods

from setuptools import setup, find_packages


def update_current_version():
    fp = open('version', 'r')
    [major, sub, rev] = fp.read().split('.')
    version = '{}.{}.{}'.format(major, sub, str(int(rev)+1))
    fp.close()

    fp = open('version', 'w')
    fp.write(version)
    return version


setup(name='jfutils',
      version=update_current_version(),
      description='priavte common python framwork',
      long_description='...',
      keywords='jfutils',
      author='jifu',
      author_email='ji.fu@icloud.com',
      url='http://www.jifu.store',
      license='MIT',
      packages=find_packages(exclude=["test", '*.pyc']),
      install_requires=[
            'six', 'prettytable', 'requests'
      ],
      extras_require={
      },
      package_data={},
      include_package_data=True,
      zip_safe=True,
)